Subject: bug#62163: closed (Re: bug#62163: Suppress logging shepherd evaluation in mcron.log)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Apr 2023 03:53:02 +0000

Your bug report

#62163: Suppress logging shepherd evaluation in mcron.log

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62163: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62163
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62163: Suppress logging shepherd evaluation in mcron.log
From: Maxim Cournoyer <[email-masked]>
To: Bruno Victal <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Thu, 27 Apr 2023 23:52:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Bruno Victal <[email-masked]> writes:

> Hi Ludo’,
>
> On 2023-04-27 14:24, Ludovic Courtès wrote:
>> Hi Bruno,
>> 
>> Ludovic Courtès <[email-masked]> skribis:
>> 
>>> Bruno Victal <[email-masked]> skribis:
>>>
>>>> On 2023-03-30 11:22, Ludovic Courtès wrote:
>>>>>
>>>>> You can send messages to the bitbucket with:
>>>>>
>>>>>   (parameterize ((shepherd-message-port (%make-void-port "w0")))
>>>>>     …)
>>>>
>>>> While it does work for expunging them from mcron log, I noticed that
>>>> these lines are also polluting /var/log/messages and the snippet above
>>>> doesn't handle that.
>>>> Is there perhaps something else I'm missing?
>>>
>>> Nope, you cannot prevent them from ending up in /var/log/messages; they
>>> are purposefully logged.
>
> Perhaps we could have a “low-noise” way to query for running services? (or non modifying actions done on shepherd)
> Filling /var/log/messages with messages of (IMO) dubious value seems counterproductive.
>
>> What should we do about this bug?  Am I right that the conclusion is
>> that ‘my-heartbeat-job’ could send herd/shepherd output to the bit
>> bucket?  If yes, we can close this bug.
>
> Parameterizing the shepherd-message-port did cut the shepherd messages from the mcron log, yes.

Alright, closing then.

What a team :-).

-- 
Thanks,
Maxim

Subject: Suppress logging shepherd evaluation in mcron.log
From: Bruno Victal <[email-masked]>
To: bug-guix <[email-masked]>
Cc: mirai <[email-masked]>
Date: Mon, 13 Mar 2023 15:59:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Upon mcron job completion, /var/log/mcron.log is spammed with:
“shepherd: Evaluating user expression (and (defined? (quote transient?)) (map (# ?) ?))”

These shepherd lines should be suppressible.

/var/log/mcron.log snippet:

--8<---------------cut here---------------start------------->8---
2023-03-13 16:52:00 243 my-heartbeat-job job: running...
2023-03-13 16:52:00 243 my-heartbeat-job job: Healthcheck: OK
2023-03-13 16:52:00 243 my-heartbeat-job job: shepherd: Evaluating user expression (and (defined? (quote transient?)) (map (# ?) ?)).
2023-03-13 16:52:00 243 my-heartbeat-job job: completed in 0.087s
--8<---------------cut here---------------end--------------->8---